'use strict';

Liferay.Loader.define('dynamic-data-mapping-form-field-type$axios@0.24.0/lib/core/createError', ['module', 'exports', 'require', './enhanceError'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    var enhanceError = require('./enhanceError');

    /**
     * Create an Error with the specified message, config, error code, request and response.
     *
     * @param {string} message The error message.
     * @param {Object} config The config.
     * @param {string} [code] The error code (for example, 'ECONNABORTED').
     * @param {Object} [request] The request.
     * @param {Object} [response] The response.
     * @returns {Error} The created error.
     */
    module.exports = function createError(message, config, code, request, response) {
      var error = new Error(message);
      return enhanceError(error, config, code, request, response);
    };
  }
});
//# sourceMappingURL=createError.js.map