'use strict';

/*eslint no-console:0*/

/**
 * Supply a warning to the developer that a method they are using
 * has been deprecated.
 *
 * @param {string} method The name of the deprecated method
 * @param {string} [instead] The alternate method to use if applicable
 * @param {string} [docs] The documentation URL to get further details
 */

Liferay.Loader.define('dynamic-data-mapping-form-field-type$axios@0.24.0/lib/helpers/deprecatedMethod', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    module.exports = function deprecatedMethod(method, instead, docs) {
      try {
        console.warn('DEPRECATED method `' + method + '`.' + (instead ? ' Use `' + instead + '` instead.' : '') + ' This method will be removed in a future release.');

        if (docs) {
          console.warn('For more information about usage see ' + docs);
        }
      } catch (e) {/* Ignore */}
    };
  }
});
//# sourceMappingURL=deprecatedMethod.js.map